{ pkgs ? import <nixpkgs> { } }:
with pkgs;
let
  repo = fetchFromGitHub {
    owner = "pigpigyyy";
    repo = "MoonPlus";
    rev = "57191ed45bb7bd0ffcd917f00df2e940c900fb3c";
    sha256 = "0scbi3d83g7yr51gnxasz2h924wyhbfq3c4a7c7sb0rrzb7m8ln7";
  };

  defaultAttrs = {
    builder = ./builder.sh;
    baseInputs = [];
    src = repo;
    version = "HEAD-57191ed4";
    name = "MoonPlus";
    system = builtins.currentSystem;

    installPhase = ''
      ls
      install -D bin/release/moonc $out/bin/moonc
    '';
  };

in stdenv.mkDerivation defaultAttrs
